Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.factories
Class Borders.EmptyBorder

    java.lang.Object
      com.jgoodies.forms.factories.Borders.EmptyBorder

All Implemented Interfaces:
  Border

Enclosing class:
  Borders

    public static final class Borders.EmptyBorder

extends Object
implements Border

An empty border that uses 4 instances of `ConstantSize` to define the gaps on all sides.

Method Summary
`ConstantSize` | `bottom()` Returns this border's bottom size.
`Insets` | `getBorderInsets(Component c)` Returns the insets of the border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`ConstantSize` | `left()` Returns this border's left size.
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.
`ConstantSize` | `right()` Returns this border's right size.
`ConstantSize` | `top()` Returns this border's top size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### top

    public ConstantSize top()

  Returns this border's top size.

  Returns:
    this border's top size

### left

    public ConstantSize left()

  Returns this border's left size.

  Returns:
    this border's left size

### bottom

    public ConstantSize bottom()

  Returns this border's bottom size.

  Returns:
    this border's bottom size

### right

    public ConstantSize right()

  Returns this border's right size.

  Returns:
    this border's right size

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the border for the specified component with the specified position and size.

  Specified by:
    `paintBorder` in interface `Border`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Returns the insets of the border.

  Specified by:
    `getBorderInsets` in interface `Border`
  Parameters:
    `c` - the component for which this border insets value applies
  Returns:
    the border's Insets

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque. If the border is opaque, it is responsible for filling in it's own background when painting.

  Specified by:
    `isBorderOpaque` in interface `Border`
  Returns:
    false - because the empty border is not opaque

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 JGoodies Karsten Lentzsch. All Rights Reserved.